Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1229750 - (CVE-2015-4412) CVE-2015-4412 rubygem-bson: data injection vulnerability through a crafted ObjectId
CVE-2015-4412 rubygem-bson: data injection vulnerability through a crafted Ob...
Status: ASSIGNED
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20150604,reported=2...
: Reopened, Security
Depends On: 1229751 1229752 1229753
Blocks: 1228705
  Show dependency treegraph
 
Reported: 2015-06-09 10:44 EDT by Vasyl Kaigorodov
Modified: 2018-08-31 17:38 EDT (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 18:21:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vasyl Kaigorodov 2015-06-09 10:44:10 EDT
The following data injection issue was discovered in BSON Ruby gem:

It's possible to bypass Moped::BSON::ObjecId.legal? method, and pass any binary data in a crafted ObjectId string.
More details can be found here: http://sakurity.com/blog/2015/06/04/mongo_ruby_regexp.html
Upstream fix: https://github.com/mongodb/bson-ruby/commit/976da329ff03ecdfca3030eb6efe3c85e6db9999
Comment 1 Vasyl Kaigorodov 2015-06-09 10:44:52 EDT
Created rubygem-bson tracking bugs for this issue:

Affects: fedora-all [bug 1229751]
Comment 7 Kurt Seifried 2015-07-29 18:21:58 EDT
Statement:

This issue affects the versions of rubygem-bson as shipped with Red Hat OpenShift Enterprise 2.x. Red Hat Product Security has rated this issue as having Low security impact on Red Hat OpenShift Enterprise 2. Additionally access to the component using rubygem-moped is restricted, only trusted users and systems can send messages, thus no trust boundary violation occurs and this issue can not easily be used to create an exploitable security vulnerability on Red Hat OpenShift Enterprise 2.

Note You need to log in before you can comment on or make changes to this bug.